import { getParagraphList, getShortBookInfoAppListOfPage } from '@src/server/book/short'
/**用于长短篇小说区别,使用不同的接口*/
function useApi(store) {
    //判断是长篇
    let isLong = store.appInfo.appCategory === 1
    return {
        /**获取小说列表*/
        getBookPageList: isLong ? getShortBookInfoAppListOfPage : getShortBookInfoAppListOfPage,
        /**获取小说内容*/
        getBookContent: isLong ? getParagraphList : getParagraphList,
    }

}
export default useApi
