import Taro from "@tarojs/taro";
import appInfoStore from "@src/store/appInfo";
/**
 * 获取小程序组件配置列表
 * */
export function getAppComponent() {
    return new Promise(async (resolve, reject) => {
        try {
            // 初始化
            Taro.request({
                url: '/app/appComponent/list',
                method: 'GET',
                success: (res) => {
                    appInfoStore.setAppComponent(res.data.data)
                    resolve(res)
                },
                fail: (err) => {
                    reject(err);
                }
            })
        } catch (error) {
            reject(error);
        }
    })
}



// /**
//  * 获取短篇首页banners列表
//  * */
// function getBanners() {
//     return new Promise(async (resolve, reject) => {
//         try {
//             // 初始化
//             Taro.request<ResData>({
//                 url: '/app/appComponent/getShortBookBanners',
//                 method: 'GET',
//                 data: { wechatAppId: appId || app.appId },
//             })
//         } catch (error) {
//             reject(error);
//         }
//     })
// }